ukui-sidebar (4.22.0.0-ok0.3) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修复消息未收回前锁屏，导致弹窗状态异常的问题
    - menuButton在触发click事件时添加对当前鼠标位置的计算
    - 调整menuButton的三态和点击区域
    - 不显示二级页面时将visible设置为false
    - 修改三岛模式下弹窗窗口尺寸计算错误的问题
    - 修复拖拽快捷菜单中的组件到未添加组件页面下方空白位置时，无法拖拽成功的问题
    - 解决由于设置border，在消息满屏时底部下边缘对不齐的问题
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Tue, 20 Jan 2026 09:38:58 +0800

ukui-sidebar (4.22.0.0-ok0.2) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 控制面板按钮添加命名
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 19 Dec 2025 11:25:29 +0800

ukui-sidebar (4.22.0.0-ok0.1) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 声音插件添加对deviceChanged信号的监听
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 19 Dec 2025 11:23:43 +0800

ukui-sidebar (4.21.0.0-ok1.5) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 无通知时提示文字偏下
    - 修改折叠按钮样式
    - 修复控制台面板和编辑面板背景色不一致的问题
    - 修复通知中心点击全部清空时，执行完动画后会有闪烁的问题
    - 修复发现病毒后点击信任，病毒依旧在隔离区的问题
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 12 Dec 2025 14:39:51 +0800

ukui-sidebar (4.21.0.0-ok1.4) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 侧边栏适配设置毛玻璃透明度的接口
    - 右上角设置tooltip修改为系统设置
    - 修复鼠标移动到任务栏最右侧，点击不能显示桌面的问题
    - 通知弹窗设置不可激活属性，规避不夺焦窗口触发失焦的问题
    - 解决点击清除消息按钮后，通知没有发送关闭信号的问题
    - 修复通知body更新时ProcessedBody属性未跟随更新的问题
    - 修改快捷面板调用图标名
    - 网络插件支持显示有线网络信息
    - 调整音量增强的实现方式
    - 插件添加maxValue字段
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Tue, 02 Dec 2025 16:07:34 +0800

ukui-sidebar (4.21.0.0-ok1.3) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 重新传包
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 06 Nov 2025 16:51:51 +0800

ukui-sidebar (4.21.0.0-ok1.2) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 移除电源按钮，并调整设置按钮位置
    - 解决输出音量为100时，快捷面板中进度条异常的bug
    - 解决输出设备变化时，快捷面板声音设置异常的问题
    - 修改护眼模式键值
    - 适配Qt6、Kf6
    - 修复锁屏6s进入桌面，通知没有收纳的问题
    - 解决声卡插件在静音状态下，滑动进度条变化无法取消静音状态的bug
    - 适配电源新增的tooltip接口，并添加笔记本无电池的处理
    - 解决快捷面板第一次显示时有换位动画的问题
    - 修改dbus方法sidebarActive唤起快捷面板的问题
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 06 Nov 2025 15:55:59 +0800

ukui-sidebar (4.21.0.0-ok1.1) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 同步翻译
    - 解决系统音量随应用音量变化的bug
    - 解决开启音量增强后，用于调节音量的进度条显示异常的问题
    - 添加亮度增强功能
    - 修复开启增强时精度损失导致亮度设置异常的问题
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 09 Oct 2025 16:51:08 +0800

ukui-sidebar (4.21.0.0-ok0.2) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 优化通知中心删除动画、弹窗超时收起动画
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 18 Sep 2025 14:48:18 +0800

ukui-sidebar (4.21.0.0-ok0.1) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 4.21版本传包
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 15 Sep 2025 17:31:49 +0800

ukui-sidebar (4.20.1.3-ok1.1) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 同步翻译
    - 【电源管理】台式机也显示电池图标
    - 控制台增加电源按钮和设置按钮
    - 通知中心动画效果调整
    - 解决通知过多时折叠，通知组顶部会有过深阴影的问题
    - 修改弹窗消息圆角，根据主题窗口圆角变化
    - 将声卡插件调用的判断是否包含有效设备的接口名称修改为isValidDevice
    - 通知窗口层级设置为ScreenLockNotification
    - 解决亮度为0时启动快捷面板，亮度插件图标显示异常的问题(407587)
    - 将fixState和addState从插件接口中移除
    - 调整插件数据模型的结构
    - 对声卡插件使用QDBus接口替换QGSettings获取音量状态
    - 拖拽时添加mimeData信息
    - 添加快捷菜单menuButton的tooltip
    - 快捷面板编辑模式适配维哈柯反向布局
    - 修复二级界面重复加载的问题
    - 删除无用头文件
    - 通知在弹窗时，阴影调整为kShadowMenu
    - 解决弹窗内容超长后，无法滚动问题
    - 解决当打开通知中心窗口无消息时，常驻通知出现位置错误问题
    - 根据ui改动，调整消息弹窗窗口的位置（将边距移到qml中处理）
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 15 Sep 2025 16:57:25 +0800

ukui-sidebar (4.20.1.3-ok0.6) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修复快捷面板处于编辑模式下的时候切换二级页面会导致ui异常的问题
    - 添加通知信息动作按钮的tooltip
    - 修改折叠按钮繁体字翻译
    - 快捷面板插件首字母大写
    - 修改快捷面板编辑窗口的层级
    - 【通知中心】深色主题下，截图通知消息显示异常
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 08 Aug 2025 09:36:43 +0800

ukui-sidebar (4.20.1.3-ok0.5) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修复未检测到输出声卡时，快捷菜单仍然可以调节音量的问题
    - 设置深色模式时，添加对org.mate.interface的修改
    - 添加部分翻译
    - 修复拔掉屏幕时，侧边栏窗口位置概率异常的问题
    - 修改显示记事本插件的判断条件
    - 添加日期适配短格式的功能
    - 使用WindowProxy进行窗口属性设置
    - 按照上游标准(ubuntu-Yaru)调整部分图标名称
    - 快捷面板点击插件时添加日志打印
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 25 Jul 2025 11:29:19 +0800

ukui-sidebar (4.20.1.3-ok0.4) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修复【通知中心】深色主题下通知中心右上角按钮未反白
    - 修复【藏文/繁文/蒙文】【通知中心】鼠标悬浮通知中心右上角设置按钮，悬浮显示为英文
    - iconbutton显示文字不全时添加tooltip
    - 使用ukui-quick中的TouchSlider对slider进行替换
    - 修复【通知中心】繁体下,存在两条通知时候，通知数量显示错误
    - 仅在快捷面板隐藏时清空二级页面
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 04 Jul 2025 16:22:18 +0800

ukui-sidebar (4.20.1.3-ok0.3) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修改显示闹钟插件的判断条件
    - 解决服务与支持点击后不能跳转到对应页面问题
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Tue, 17 Jun 2025 09:52:46 +0800

ukui-sidebar (4.20.1.3-ok0.2) nile; urgency=medium

  * Issues: 无
  * 其他改动:
    - nile-sp2传包
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 02 Jun 2025 15:30:44 +0800

ukui-sidebar (4.20.1.3-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 给声音插件添加名称,并将tooltip替换成ukui-quick中的tooltip
    - 根据设计稿调整MenuButton的UI
    - 解决点击护眼模式，快捷菜单自动关闭的问题
    - 进入编辑模式后，将编辑按钮变成完成按钮
    - 修复添加/移除长组件没有回到首位的问题
    - 修复MenuButton中Text省略异常的问题
    - 不释放g_settings_schema_source_get_default的返回值
    - 修复服务与支持插件不显示问题
    - 适配通知管理策略优化需求
    - 修复拖动后偶现空白组件的问题
    - 网络插件适配setAddedState接口
    - 根据设计稿调整快捷面板滑动条高度
    - 添加快捷面板编辑按钮的tooltip
    - 【控制台】【控件】悬浮按钮底色不对的问题
    - 【控制台】【控件】编辑按钮默认态无需底色
    - 修复通知中心折叠按钮三态无效的bug
    - 根据设计稿调整通知消息的内容的右边距
    - 添加通知中心关闭按钮、右上角按钮的tooltip
    - 按照设计稿调整通知中心的圆角
    - 修复修改缩放率，快捷菜单显示异常的问题
    - 修改判断编辑模式图标是否存在的条件
    - 根据设计稿调整通知中心右上角按钮的图标，尺寸和三态
    - 解决台式机快捷菜单未屏蔽节电计划的问题
    - 调整快捷面板二级菜单之间的切换动画
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 30 May 2025 11:01:38 +0800

ukui-sidebar (4.20.1.2-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修复侧边栏未监听屏幕尺寸变更的bug
    - 使消息通知的tooltip不显示富文本
    - 修复编辑模式下将插件拖出窗口之外释放UI异常的问题
    - 对通知中心PC和平板模式进行Dt替换
    - 同步4.20版本号改动
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 18 Apr 2025 17:31:29 +0800

ukui-sidebar (4.20.1.1-ok0.2) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 重新传包
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 10 Apr 2025 14:08:36 +0800

ukui-sidebar (4.20.1.1-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修复快捷面板编辑模式拖拽卡顿的问题
    - 同步翻译
    - 解决通知弹窗中消息收起时，新增消息层次异常的bug
    - 添加依赖
  * 其他改动影响域:
    - 快捷面板,通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 10 Apr 2025 11:38:18 +0800

ukui-sidebar (4.20.1.0-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - fix(qml): 修复通知条目变化时UI异常的bug
    - feat(Shortcuts): 添加二级菜单翻页机制
    - feat(Shortcuts): 添加在快捷面板显示widget插件页面的dbus接口
    - fix(sidebar/progressbar): 给滑动条添加翻页按钮
    - fix(src/windows): 根据环境选择对应的滑动条窗口层级
    - fix(ukui-shortcut): 给插件添加是否启用的接口
    - fix(qml/PopupView.qml): 解决侧边栏弹窗数量减少到1时透明度异常的bug
    - feat(ukui-shortcut/shortcuts): 新增开启闹钟插件
    - feat(shortcuts):新增多端协同插件(Story#43637)
    - feat(ukui-shortcut/shortcuts): 新增开启便签插件
    - feat(ukui-shortcut/shortcuts): 新增设置护眼模式插件
    - feat(ukui-shortcut/shortcuts): 新增深色模式插件
    - fix(qml): 对侧边栏快捷面板的pc部分进行Dt替换
    - fix(qml/Shortcuts): 修改二级页面返回按钮布局
    - fix(ukui-shortcut/shortcuts): 添加插件对应的widgetid名称
    - fix(src/windows): 修复平板模式通知中心尺寸异常的问题
    - feat(shortcut): 控制台编辑模式
    - feat(ukui-shortcut/shortcuts): 新增vpn设置开启插件
    - feat(shortcuts):新增剪贴版插件(Story#43637)
    - feat(shortcuts):新增服务与支持插件(Story#43637)
    - fix(ukui-shortcut): 设置插件添加状态并修改插件排序列表
    - fix(service-support):修改服务与支持的desktop文件名
    - fix(src/windows): 修改screenLockState方法类型错误的问题
    - fix(shortcut): 修复插 件编辑窗口坐标更新时，视觉上有延时的问题
    - fix(ukui-shortcut/shortcuts): 修改蓝牙插件接口
    - fix(ukui-shortcut/interface): 修复1.0.x版本插件不兼容导致崩溃的问题
    - fix(src): 修改调用二级界面的dbus接口参数，并调整二级界面的显示逻辑
    - fix(src/windows): 添加widgetid为空时的处理
    - fix(src/windows): 移除kysdk-waylandhelper引用
    - fix(qml/org/ukui/sidebar): 添加编辑按钮的默认图标
    * 其他改动影响域:
        - 控制台，通知中心

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 03 Apr 2025 17:47:15 +0800

ukui-sidebar (4.20.0.7-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修改滑动条窗口层级,防止开机抢夺焦点导致输入法不能切换
    - 修改loader枚举值,适配ukui-quick改动
    - 修改同一应用通知的组内布局,解决应用条目变化时通知UI异常
    - 调整通知折叠按钮的UI,适配字体大小变化
  * 其他改动影响域:
    - 通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Wed, 08 Jan 2025 10:21:53 +0800

ukui-sidebar (4.20.0.6-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 增加加载ukui-quick插件功能需要的container功能
    - 插件数据类增加widgetId接口
  * 其他改动影响域:
    - 快捷面板

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 30 Dec 2024 09:46:32 +0800

ukui-sidebar (4.20.0.5-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 移除冰冻模式按钮
    - 解决PageUp,PageDown键无法进行翻页的bug
  * 其他改动影响域:
    - 通知中心,快捷面板

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 27 Dec 2024 17:39:56 +0800

ukui-sidebar (4.20.0.4-ok0.1) huanghe; urgency=medium

  * Issues:
    - IB68SJ 【次要】【快捷菜单】已连接wifi，快捷菜单wifi处仍显示网络，应显示已连接的wifi名称
  * 其他改动:
    - 修改设置窗口所用的接口
  * 其他改动影响域:
    - 通知中心, 快捷面板

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 23 Dec 2024 17:48:00 +0800

ukui-sidebar (4.20.0.3-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 通知中心适配三岛任务栏
    - 修改通知弹窗UI定位异常的bug
  * 其他改动影响域:
    - 通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Wed, 18 Dec 2024 14:45:04 +0800

ukui-sidebar (4.20.0.2-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修改通知弹窗UI高度异常的bug
    - 修改在x11下未设置窗口透明通道导致背景色为黑色的bug
    - 快捷面板窗口适配三岛任务栏
    - 修改消息折叠异常的bug
  * 其他改动影响域:
    - 通知中心，快捷面板

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 13 Dec 2024 14:09:23 +0800

ukui-sidebar (4.20.0.1-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 修改未读消息的逻辑
  * 其他改动影响域:
    - 通知中心，任务栏

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 05 Dec 2024 14:44:15 +0800

ukui-sidebar (4.20.0.0-ok0.1) huanghe; urgency=medium

  * Issues: 无
  * 其他改动:
    - 完善应用分组判断条件
    - 添加快捷面板按钮调用接口
  * 其他改动影响域:
    - 快捷面板、通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Tue, 03 Dec 2024 10:23:27 +0800

ukui-sidebar (4.10.4.2-ok0.1) huanghe; urgency=medium

  * 重新传包

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 18 Nov 2024 17:40:24 +0800

ukui-sidebar (4.10.4.1-ok0) huanghe; urgency=medium

  * 重新触发传包

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 18 Nov 2024 16:19:10 +0800

ukui-sidebar (4.10.4.0-ok0.1) huanghe; urgency=medium

  * 重新传包

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 18 Nov 2024 09:12:40 +0800

ukui-sidebar (4.10.4.0-ok0) huanghe; urgency=medium

  * Issues: 无
  * 其他改动：
    - 添加锁屏通知功能
    - 修改记录日志实现逻辑
  * 改动影响域：
    - 通知中心、快捷面板

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 15 Nov 2024 17:31:41 +0800

ukui-sidebar (4.10.3.5-ok0.2) nile; urgency=medium

  * Issues:
    - I9P327【侧边栏】多则通知折叠在一起，直接点击右侧的“X”，通知被展开
    - I9POEB 平板模式下新增通知后，新增通知显示偏扁平
    - I9J9UC【通知中心】点击通知中心 新通知后的> 按钮未自动收起通知中心
  * 其他改动: 无
  * 改动影响域: 通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Sat, 12 Oct 2024 17:20:02 +0800

ukui-sidebar (4.10.3.5-ok0.1) nile; urgency=medium

  * 更新0920维哈克翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 12 Sep 2024 15:15:15 +0800

ukui-sidebar (4.10.3.5-ok0) nile; urgency=medium

  * Issues:
    - IANYG2 快捷操作，点击截图后，面板未及时消失，导致阻挡其后面区域
    - I9IXBV【通知中心】【需求24954】右上角的通知弹窗未适配“窗口圆角”设置
  * 其他改动: 无
  * 改动影响域:
    - 通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 12 Sep 2024 15:15:15 +0800

ukui-sidebar (4.10.3.4-ok0) nile; urgency=medium

  * Issues:
    - I8IIYC 【次要】【需求22629】【会话管理器】未保存文本编辑器文件时，通知中没有应用图标
  * 其他改动: 无
  * 改动影响域:
    - 通知中心

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 23 Aug 2024 11:10:00 +0800

ukui-sidebar (4.10.3.3-ok0) nile; urgency=medium

  * Issue:
    - I9JTIL【gg-维哈柯】【快捷菜单】按钮在维哈柯语言布局错误
    - I9JTCW【快捷菜单】快捷菜单在维哈柯语言下打开位置错误
    - I9JT8C【通知中心】通知中心在维哈柯语言下打开位置错误
  * 其他改动: 无
  * 改动影响域:
    - 通知中心,快捷操作

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Fri, 16 Aug 2024 13:59:27 +0800

ukui-sidebar (4.10.3.2-ok1) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - 更新翻译
  * 其他改动影响域: 无

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Mon, 29 Jul 2024 10:30:46 +0800

ukui-sidebar (4.10.3.2-ok0) nile; urgency=medium

  * Issue: 无
  * 其他改动:
    - 修改获取鼠标当前所在屏幕的接口
  * 其他改动影响域: 无

 -- youdiansaodongxi <guojiaqi@kylinos.cn>  Thu, 25 Jul 2024 15:25:30 +0800

ukui-sidebar (4.10.3.1-ok1) nile; urgency=medium

  * 其他改动：更新维哈柯翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 18 Jul 2024 15:07:17 +0800

ukui-sidebar (4.10.3.1-ok0) nile; urgency=medium

  * ISSUE:I9INQF【任务栏】打开托盘内的快捷操作，按ESC后不会退出
  * 其他改动：无

 -- iaom <zhangpengfei@kylinos.cn>  Thu, 18 Jul 2024 15:07:17 +0800

ukui-sidebar (4.10.3.0-ok0) nile; urgency=medium

  * ISSUE:NULL
  * 其他改动：
    - 解决任务栏尺寸改变时快捷操作面板没有实时更新位置的问题
    - 增加快捷面板出现划出动画
    - 快捷面板托盘图标右键不再唤出窗口
    - 修复X下多屏场景快捷面板无法在鼠标点击的屏幕显示的问题
  * 其他改动影响域：
    - 快捷面板窗口和托盘图标

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 03 Jul 2024 14:04:30 +0800

ukui-sidebar (4.10.2.2-ok0) nile; urgency=medium

  * BUG:
    - 控制面板调节音量后，快捷菜单界面不同步
  * 其他: 无

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 19 Jun 2024 14:55:55 +0800

ukui-sidebar (4.10.2.1-ok1) nile; urgency=medium

  * BUG: 无
  * 其他:
    - 更新翻译(ky, kk)

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 05 Jun 2024 14:05:55 +0800

ukui-sidebar (4.10.2.1-ok0) nile; urgency=medium

  * BUG:
    - 修复通知弹窗大小异常

 -- hewenfei <hewenfei@kylinos.cn>  Sat, 25 May 2024 16:30:00 +0800

ukui-sidebar (4.10.2.0-ok2) nile; urgency=medium

  * 适配ukui-shell协议
  * ok2: 添加kf5wayland依赖

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 17 May 2024 17:30:00 +0800

ukui-sidebar (4.10.1.6-ok0) nile; urgency=medium

  * 修复通知窗口被任务栏遮挡问题

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 29 Apr 2024 13:35:55 +0800

ukui-sidebar (4.10.1.5-ok0) nile; urgency=medium

  * 修复弹出通知时任务栏会出现图标的问题
  * 修改为根据鼠标位置确定显示的屏幕
  * 添加通知中心支持多屏显示功能
  * 修复WIFI快捷操作按钮不能打开网络面板问题

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 25 Apr 2024 09:15:11 +0800

ukui-sidebar (4.10.1.4-ok0) nile; urgency=medium

  * 优化快捷按钮UI
  * 修复wayland环境下，位置偏移问题

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 18 Mar 2024 15:58:34 +0800

ukui-sidebar (4.10.1.3-ok0) nile; urgency=medium

  * 适配音量增强功能
  * 修复快捷操作窗口圆角显示错误问题
  * ISSUE: https://gitee.com/openkylin/ukui-sidebar/issues/I8YW7T
  * ISSUE: https://gitee.com/openkylin/ukui-sidebar/issues/I908D8

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 06 Mar 2024 10:15:45 +0800

ukui-sidebar (4.10.1.2-ok0) nile; urgency=medium

  * 更新插件的翻譯
  * ISSUE: https://gitee.com/openkylin/ukui-sidebar/issues/I8WYEK?from=project-issue
  * ISSUE: https://gitee.com/openkylin/ukui-sidebar/issues/I8WXSL?from=project-issue
  * ISSUE: https://gitee.com/openkylin/ukui-sidebar/issues/I8WX6R?from=project-issue
  * ISSUE: https://gitee.com/openkylin/ukui-sidebar/issues/I8WW8Z?from=project-issue

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 27 Feb 2024 16:30:00 +0800

ukui-sidebar (4.10.1.1-ok0) nile; urgency=medium

  * 更新翻譯

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 27 Feb 2024 15:30:00 +0800

ukui-sidebar (4.10.1.0-ok2) nile; urgency=medium

  * ISSUE:https://gitee.com/openkylin/ukui-sidebar/issues/I7X4JN
  * ISSUE:https://gitee.com/openkylin/ukui-sidebar/issues/I902NP
  * ISSUE:https://gitee.com/openkylin/ukui-sidebar/issues/I8WYEK
  * ISSUE:https://gitee.com/openkylin/ukui-sidebar/issues/I903N6
  * ISSUE:https://gitee.com/openkylin/ukui-sidebar/issues/I8XVLT
  * ISSUE:https://gitee.com/openkylin/ukui-sidebar/issues/I8O9HY
  * 其他改动：
    - 通知中心和快捷操作面板现在可以分别打开。
    - 快捷操作面板UI改版。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 27 Feb 2024 10:14:21 +0800

ukui-sidebar (4.10.0.5-ok0) nile; urgency=medium

  * fix: https://gitee.com/openkylin/ukui-notification/issues/I7ASVM 增加esc按键隐藏界面功能
  * fix: 增加模式切换功能动态禁用&启用
  * fix: 修复ukui-lite模式识别错误问题

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 11 Jan 2024 14:22:16 +0800

ukui-sidebar (4.10.0.4-ok0.3) nile; urgency=medium

  * update copyright, 删除了ok0.1和ok0.2的改动

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 26 Dec 2023 16:03:25 +0800

ukui-sidebar (4.10.0.4-ok0.2) nile; urgency=medium

  * 更新应用冻结翻译

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 13 Dec 2023 13:55:22 +0800

ukui-sidebar (4.10.0.4-ok0.1) nile; urgency=medium

  * 将切换平板模式按钮临时置灰

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 12 Dec 2023 17:13:27 +0800

ukui-sidebar (4.10.0.4-ok0) nile; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I7AT4V 增加esc退出侧边栏功能
  * https://gitee.com/openkylin/ukui-sidebar/issues/I8J6ZN 侧边栏托盘增加剩余多少消息提示

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 11 Dec 2023 09:33:21 +0800

ukui-sidebar (4.10.0.3-ok0.1) nile; urgency=medium

  * 修改窗口为系统窗口类型

 -- hewenfei <hewenfei@kylinos.cn>  Fri, 24 Nov 2023 17:33:34 +0800

ukui-sidebar (4.10.0.3-ok0) nile; urgency=medium

  * 修改埋点事件名称,适配sdk接口
  * 更新翻译

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 22 Nov 2023 14:44:10 +0800

ukui-sidebar (4.10.0.2-ok0) nile; urgency=medium

  * 侧边栏适配ukui-lite
  * 修复关闭通知导致侧边栏崩溃问题
  * 修复侧边栏消息收起动画异常

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 16 Nov 2023 09:24:54 +0800

ukui-sidebar (4.10.0.1-ok0.1) nile; urgency=medium

  * add libkysdk-datacollect-dev deps.
  * rebuild

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 15 Nov 2023 10:50:00 +0800

ukui-sidebar (4.10.0.1-ok0) nile; urgency=medium

  * 适配appamanger接口
  * 增加应用小憩按钮
  * 增加监测手势使用频率功能
  * 增加滚轮调节音量和亮度功能

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 14 Nov 2023 09:15:56 +0800

ukui-sidebar (4.10.0.0-ok0) nile; urgency=medium

  * update to nile

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 25 Oct 2023 09:45:51 +0800

ukui-sidebar (4.0.1.6-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I8298D?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I7Q369?from=project-issue

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 23 Oct 2023 09:08:30 +0800

ukui-sidebar (4.0.1.5-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I838U5?from=project-issue

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 28 Sep 2023 16:58:52 +0800

ukui-sidebar (4.0.1.4-ok0.1) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I71ZRA?from=project-issue
  * rebuild

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 13 Sep 2023 17:38:56 +0800

ukui-sidebar (4.0.1.3-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I6YHKY?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I7YTFG?from=project-issue

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 12 Sep 2023 18:00:34 +0800

ukui-sidebar (4.0.1.2-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I7YVXL?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I7YR7F?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I7UYRS?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I6YEVS?from=project-issue

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 11 Sep 2023 09:47:49 +0800

ukui-sidebar (4.0.1.1-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I7GTJF?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I71TSM?from=project-issue

 -- hewenfei <hewenfei@kylinos.cn>  Thu, 31 Aug 2023 09:42:56 +0800

ukui-sidebar (4.0.1.0-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I7T2WQ

 -- hewenfei <hewenfei@kylinos.cn>  Fri, 25 Aug 2023 17:39:57 +0800

ukui-sidebar (4.0.0.3-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I71ZI4?from=project-issue
  * https://gitee.com/openkylin/ukui-sidebar/issues/I71ZFU?from=project-issue
  * 修改wayland环境侧边栏的窗口层级，解决窗口无法获取焦点问题

 -- hewenfei <hewenfei@kylinos.cn>  Tue, 06 Jun 2023 09:42:49 +0800

ukui-sidebar (4.0.0.2-ok0.3) yangtze; urgency=medium

  * close: I6YEIT 自动旋转按钮图标显示异常.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Sun, 04 Jun 2023 21:03:19 +0800

ukui-sidebar (4.0.0.2-ok0.2) yangtze; urgency=medium

  * 适配音量增强

 -- hewenfei <hewenfei@kylinos.cn>  Wed, 24 May 2023 17:47:37 +0800

ukui-sidebar (4.0.0.2-ok0.1) yangtze; urgency=medium

  * 增加sdk编译依赖
  * update changelog

 -- hewenfei <hewenfei@kylinos.cn>  Mon, 22 May 2023 08:46:45 +0800

ukui-sidebar (4.0.0.2-ok0) yangtze; urgency=medium

  * 修复x环境无法使用触摸手势唤出侧边栏问题
  * 修复x环境无法使用键盘调节音量问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 19 May 2023 18:11:12 +0800

ukui-sidebar (4.0.0.1-ok0) yangtze; urgency=medium

  * https://gitee.com/openkylin/ukui-sidebar/issues/I6MXOX
  * https://gitee.com/openkylin/ukui-sidebar/issues/I69SRL
  * https://gitee.com/openkylin/ukui-sidebar/issues/I69T1E

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 25 Apr 2023 18:30:00 +0800

ukui-sidebar (4.0.0.0-ok1) yangtze; urgency=medium

  * set window type for NotificationCenter and Sidebar every time in exposeEvent()
  * 修复打包问题

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 20 Apr 2023 18:00:00 +0800

ukui-sidebar (4.0.0.0-ok0) yangtze; urgency=medium

  * 优化部分代码结构，升级至4.0.0.0

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Wed, 12 Apr 2023 19:45:22 +0800

ukui-sidebar (3.22.3.0-ok0) yangtze; urgency=medium

  * Issues:
    - https://gitee.com/openkylin/ukui-sidebar/issues/I69SRL
  * 其他改动:
    - 实现通知中心全屏滚动
    - 优化代码，修复x环境下cpu占用升高问题
    - 禁用侧边栏和通知中心高分辨率缩放(x环境)
    - 使用同步方式注册托盘
  * 影响域:
    - 侧边栏，通知中心界面缩放
    - 通知中心界面动画

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Fri, 10 Mar 2023 16:30:00 +0800

ukui-sidebar (3.22.2.1-ok0~0107) yangtze; urgency=medium

  * Issues: 无
  * 其他改动：
    - 1.修改通知中心及手势识别区的窗口层级
    - 2.在wayland环境下禁用夜间模式按钮
    - 3.修复wayland平板模式下，侧边栏第一次开启时模糊区域错误问题
  * 影响域
    - 1.侧边栏，通知中心和手势识别区域的窗口层级
    - 2.侧边栏窗口模糊功能

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 06 Jan 2023 20:06:00 +0800

ukui-sidebar (3.22.2.0-ok0~0106) yangtze; urgency=medium

  * Issues:
    - https://gitee.com/openkylin/ukui-sidebar/issues/I64KST
    - https://gitee.com/openkylin/ukui-sidebar/issues/I64P7B
    - https://gitee.com/openkylin/ukui-sidebar/issues/I65GQ5
    - https://gitee.com/openkylin/ukui-sidebar/issues/I64NXE
  * 其他改动：
    - 新增消息条展开时的删除动画和消息清空时顶部文字的显示动画

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Thu, 05 Jan 2023 14:04:36 +0800

ukui-sidebar (3.22.1.15-ok0~1228) yangtze; urgency=medium

  * 重新打包

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Tue, 27 Dec 2022 11:18:52 +0800

ukui-sidebar (3.22.1.14-ok2) yangtze; urgency=medium

  * Issues:https://gitee.com/openkylin/ukui-panel/issues/I6426B?from=project-issue
    其他改动：无

 -- hepuyao <hepuyao@kylinos.cn>  Mon, 26 Dec 2022 09:47:09 +0800

ukui-sidebar (3.22.1.14-ok1) yangtze; urgency=medium

  * 重新打包
  * Issues: https://gitee.com/openkylin/ukui-sidebar/issues/I65GQ5?from=project-issue
  * 其他改动：
    - 优化UI细节。
    - 修复pc模式和平板模式消息不同步的问题。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 12 Dec 2022 17:37:01 +0800

ukui-sidebar (3.22.1.14-ok0~1212) yangtze; urgency=medium

  * Issues: https://gitee.com/openkylin/ukui-sidebar/issues/I65GQ5?from=project-issue
  * 其他改动：
    - 优化UI细节。
    - 修复pc模式和平板模式消息不同步的问题。

 -- zhangpengfei <zhangpengfei@kylinos.cn>  Mon, 12 Dec 2022 16:58:47 +0800

ukui-sidebar (3.22.1.12-ok0) yangtze; urgency=medium

  * Initial for openKylin.

 -- liyanda <liyanda@kylinos.cn>  Fri, 18 Nov 2022 17:02:46 +0800
